You are on page 1of 2

In this Document

Symptoms
Cause
Solution
References

Applies to:
Oracle Applications Manager - Version: 12.1.3 and later [Release: 12.1 and later ]
Information in this document applies to any platform.

Symptoms
After clone, when attempting to start the listener using adalnctl.sh,
the following error occurs.
ERROR
have the following error --> status 255
exec(): 0509-036 Cannot load program lsnrctl because of the following errors:
0509-130 Symbol resolution failed for lsnrctl because:
0509-136 Symbol __pthread (number 299) is not exported from
dependent module /usr/lib/libpthreads.a[shr_xpg5_64.o].
0509-192 Examine .loader section symbols with the
'dump -Tv' command.

Cause
The issue is caused because the target OS is lower than the source OS
Source OS : AIX 6.1
6100-06-03-1048
Target OS : AIX 5.3
5300-10-01-0921
This cause is outlined in the following note :
Note 216664.1 FAQ: Cloning Oracle Applications Release 11i
# Can I clone from one operating system version to another?
Answer:
Note that cloning from a higher version of a platform to a lower version is not supported, for
example, from Solaris 8 to Solaris 2.6.

Solution
To implement the solution, please execute the following steps:
1. Ensure that you have taken a backup of your environment,
2. upgrade your target OS to the same level that the source
3. clean the target environment
4. re-do the clone.
3. Retest the issue.
4. Migrate the solution as appropriate to other environments.

References
NOTE:216664.1 - FAQ: Cloning Oracle Applications Release 11i